### org.jfree.layouting.layouter.content.statics

# Class StaticToken

- `java.lang.Object`
- - `org.jfree.layouting.layouter.content.statics.StaticToken`

Implemented Interfaces:
  ContentToken

Known Direct Subclasses:
  ExternalContentToken, FormattedContentToken, ResourceContentToken, StaticTextToken

`public abstract class StaticToken`
`extends java.lang.Object`
`implements ContentToken`

A static content token always defines a fixed textual content. Static tokens hold no reference to any parent, as they have no parent at all.

Author:
  Thomas Morgner

  ## Constructor Summary

  `StaticToken()`

## Constructor Details

### StaticToken

    protected StaticToken()